curl --request GET \
--url https://alfaone.app/api/v1/invites/{inviteId} \
--header 'x-api-key: <api-key>'import requests
url = "https://alfaone.app/api/v1/invites/{inviteId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://alfaone.app/api/v1/invites/{inviteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://alfaone.app/api/v1/invites/{inviteId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://alfaone.app/api/v1/invites/{inviteId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://alfaone.app/api/v1/invites/{inviteId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://alfaone.app/api/v1/invites/{inviteId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assessmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assessmentName": "<string>",
"recipientEmail": "jsmith@example.com",
"recipientName": "<string>",
"status": "pending",
"questionReplayLimit": 123,
"answerRecordLimit": 123,
"sentAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"acceptedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"assignedGrader": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com"
},
"proctoringSettings": {
"screenRecording": true,
"webcamMonitoring": true,
"requireIdCapture": true
},
"customMessage": "<string>",
"revokedAt": "2023-11-07T05:31:56Z"
}Get Invite
Returns detailed information about a specific assessment invite.
curl --request GET \
--url https://alfaone.app/api/v1/invites/{inviteId} \
--header 'x-api-key: <api-key>'import requests
url = "https://alfaone.app/api/v1/invites/{inviteId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://alfaone.app/api/v1/invites/{inviteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://alfaone.app/api/v1/invites/{inviteId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://alfaone.app/api/v1/invites/{inviteId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://alfaone.app/api/v1/invites/{inviteId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://alfaone.app/api/v1/invites/{inviteId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assessmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assessmentName": "<string>",
"recipientEmail": "jsmith@example.com",
"recipientName": "<string>",
"status": "pending",
"questionReplayLimit": 123,
"answerRecordLimit": 123,
"sentAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"acceptedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"assignedGrader": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com"
},
"proctoringSettings": {
"screenRecording": true,
"webcamMonitoring": true,
"requireIdCapture": true
},
"customMessage": "<string>",
"revokedAt": "2023-11-07T05:31:56Z"
}Authorizations
API key for authentication. Format: ak_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
Path Parameters
Unique identifier of the invite
Response
Successful response
Unique identifier of the invite
ID of the assessment
Name of the assessment
Email address of the invited candidate
Name of the invited candidate
Current status of the invite
pending, accepted, started, completed, expired, revoked Maximum number of times a candidate can replay each question
Maximum number of recording attempts per answer
When the invite was sent
When the invite expires
When the invite was accepted
When the candidate started the assessment
When the candidate completed the assessment
Grader assigned to review this candidate's submission
Show child attributes
Show child attributes
Proctoring configuration for this invite
Show child attributes
Show child attributes
Custom message included with the invite
When the invite was revoked (if applicable)